Skip to main content
PUT
/
v3
/
spoken-terms
/
{spoken_terms_id}
/
term-lists
Replace or create a term list
curl --request PUT \
  --url https://api.deepl.com/v3/spoken-terms/{spoken_terms_id}/term-lists \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "lang": "en",
  "entries": "DeepL\nAPI\nwebhook\nintegration"
}
'
{
  "lang": "en",
  "entry_count": 3
}
{
"message": "Bad request"
}
{
"message": "<string>",
"code": "invalid_content_type"
}
{
"message": "Forbidden. Authorization failed or feature not available for your plan."
}
{
"message": "<string>",
"code": "invalid_content_type"
}
{
"message": "<string>",
"code": "invalid_content_type"
}
{
"message": "Unsupported Content-Type"
}
{
"message": "<string>",
"code": "invalid_content_type"
}

Authorizations

Authorization
string
header
default:DeepL-Auth-Key
required

Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>

Path Parameters

spoken_terms_id
string
required

A unique ID assigned to the Spoken Terms collection.

Body

lang
string
required

Language code (ISO 639-1) for this term list.

Example:

"en"

entries
string
required

Newline-separated list of terms. Maximum 300 characters total.

Maximum string length: 300
Example:

"DeepL\nAPI\nwebhook\nintegration"

Response

Successfully replaced or created term list.

lang
string

Language code (ISO 639-1).

Example:

"en"

entry_count
integer

Number of terms in this list.

Example:

3